program solution;

{$APPTYPE CONSOLE}

const
  MAXN = 1000000000;

var
  n, i, d, c, res: integer;

begin
//	reset(input,'input.txt');
//	rewrite(output,'output.txt');
	
	read(n);
	assert( (n>=1) and (n<=MAXN));
	
	if (n=1) then begin
		write(1);
		exit;
	end;
	
	res := 1;
	while (n>1) do begin
		d:= n;
		for i:=2 to trunc(sqrt(n)) do
		  if n mod i=0 then begin
		  	d:= i;
		  	break;
		  end;
		c:= 0;
		while (n mod d=0) do begin
			inc(c);
			n := n div d;
		end;
		res := res*(2*c+1);
	end;
	
	write(res);
end.